API referenceContacts
POST /contacts
Create a contact, with its channel when accountId and platformIdentifier are given
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
name*stringemail?stringcompany?stringtags?array<string>isSubscribed?booleannotes?stringcustomFields?profileId?stringaccountId?stringplatform?stringplatformIdentifier?stringWhatsApp: phone in international format
displayIdentifier?string{success, contact, channel?, warning?}
application/json- response
success?booleancontact?channel?warning?stringcurl -X POST 'https://example.com/api/v1/contacts' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "success": true, "contact": { "id": "string", "name": "string", "email": "string", "company": "string", "avatarUrl": "string", "tags": [ "string" ], "isSubscribed": true, "isBlocked": true, "customFields": {}, "notes": "string", "profileId": "string", "messagesSentCount": 0, "messagesReceivedCount": 0, "lastMessageSentAt": "2019-08-24T14:15:22Z", "lastMessageReceivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "channel": { "id": "string", "accountId": "string", "platform": "string", "platformIdentifier": "string", "displayIdentifier": "string", "isSubscribed": true, "conversationId": "string", "metadata": {}, "lastActiveAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }, "warning": "string"}